Debianで

perl -MCPAN -e shell
cpan[4]>install ModPerl::Registry
を実行すると
---
/usr/bin/ld: cannot find -lperl
collect2: ld returned 1 exit status
make[1]: *** [mod_perl.so] Error 1
---
というエラーメッセージで終了します。
perlのライブラリが不足しているんでしょうか?
どうすれば解決できますか?

回答の条件
  • URL必須
  • 1人1回まで
  • 登録:2007/02/21 15:29:39
  • 終了:2007/02/21 17:30:54

回答(1件)

id:Tietew No.1

Tietew回答回数12ベストアンサー獲得回数42007/02/21 15:53:13

ポイント60pt

http://packages.debian.org/stable/perl/libapache2-mod-perl2

ModPerl::Registry は libapache2-mod-perl2 パッケージに収録されています。apache2 を使っているならこちらを使いましょう。

どうしても CPAN からインストールしたいのであれば、「開発用ライブラリ」が必要です。 libperl-dev パッケージをインストールしてください。

id:P-mako

そうだったんですか。ありがとうございます。

2007/02/21 17:30:33

コメントはまだありません

この質問への反応(ブックマークコメント)

「あの人に答えてほしい」「この質問はあの人が答えられそう」というときに、回答リクエストを送ってみてましょう。

これ以上回答リクエストを送信することはできません。制限について

絞り込み :
はてなココの「ともだち」を表示します。
回答リクエストを送信したユーザーはいません